#!/bin/sh
# /home/abacus/C2/danholav.sh - ABACUS operator interface 
# the next line restarts using wish \
exec wish "$0" "$@" -geometry +0+0
########################################################################
#
# BIP ABACUS 
#
# Initial version 980907
# 
# 
########################################################################

catch { image create photo Pic_bip-specialy -file ./bip-specialy.gif }
Pic copy Pic_bip-specialy

button $w.p.ti_hem1  -bitmap @./MCH-Konsulting-small-bw-1.xbm \
  -command { change_to bip-menu }
place $w.p.ti_hem1 -x 0 -y 0 

button $w.p.ti_hem2  -bitmap @./MCH-Konsulting-small-bw-2.xbm \
  -command { change_to bip-evaporat }
place $w.p.ti_hem2 -x 48 -y 0 

button $w.p.ti_prev -bitmap @./big_left_button.xbm \
  -command { change_to bip-resins }
place $w.p.ti_prev -x 113 -y 0 

button $w.p.ti_next -bitmap @./big_right_button.xbm\
  -command { change_to bip-menu }
place $w.p.ti_next -x 148 -y 0
 
set tags 1

button $w.p.ti_tag -text "No-tags" \
  -command {
      if { $tags } {
	 catch { Pic copy Pic_bip-specialy-no-tag 
	         $w.p.ti_tag configure -text "tags"
	         set tags 0 }
      } else {
	 catch { Pic copy Pic_bip-specialy
	         $w.p.ti_tag configure -text "No-tags"
	         set tags 1 }
      }
    }
place $w.p.ti_tag -x 184 -y 0


############## This is the main dynamic data updating proc ##################
#
#
#

set six  15		
set spx 190		
set unx 260		
set rax 325		
set s1x 420		
set s2x 520		

proc update0 {} {
	global w lfont fg bg NODE
	global six spx unx rax s1x s2x

 	global fulltime halftime time_taken
 	
	if { [winfo viewable .] } {

	   set time_taken [ time	{
		get_values
	
## Valves
	catch { shape_2 V52oc   136 103 [vn 10355] valve_onoff_l_open_red-hollow valve_onoff_l_close_green } ;# BIP1:V52.FB.
#	catch { if { [vn ] } { shape_2_flash V52al   135 103 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV52al } }
#	catch { shape_2 V52ha 116 339 [vn ] blank hand } ;#   hand/auto

	catch { shape_2 V53oc   174 109 [vn 10356] valve_onoff_r_open_red-hollow valve_onoff_r_close_green } ;# BIP1:V53.FB.
#	catch { if { [vn ] } { shape_2_flash V53al   173 109 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV53al } }
#	catch { shape_2 V53ha 116 339 [vn ] blank hand } ;#   hand/auto

	catch { shape_2 V54oc    224 115 [vn 10357] valve_onoff_r_open_red-hollow valve_onoff_r_close_green } ;# BIP1:V54.FB.
	catch { if { [vn 10358] } { shape_2_flash V54al    235 117 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV54al } }
#	catch { shape_2 V54ha 116 339 [vn ] blank hand } ;#   hand/auto

	catch { shape_2 V57oc  496 109 [vn 10364] valve_onoff_r_open_red-hollow valve_onoff_r_close_green } ;# BIP1:V57.FB.
#	catch { if { [vn ] } { shape_2_flash V57al   496 109 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV57al } }
#	catch { shape_2 V57ha 116 339 [vn ] blank hand } ;#   hand/auto

	catch { shape_2 V56oc   407 127  [vn 10361] valve_onoff_r_open_red-hollow valve_onoff_r_close_green } ;# BIP1:V56.FB.
	catch { if { [vn 10363] } { shape_2_flash V56al   417 130 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV56al } }
	catch { shape_2 V56ha 437 127 [vn 10362] blank hand } ;#   hand/auto

	catch { shape_2 V64oc   474 355  [vn 10383] valve_onoff_t_open_red-hollow valve_onoff_t_close_green } ;# BIP1:V64.FB.
	catch { if { [vn 10385] } { shape_2_flash V64al   470 345 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV64al } }
	catch { shape_2 V64ha 494 355 [vn 10384] blank hand } ;#   hand/auto

	catch { shape_2 V66oc    443 387 [vn 10389] valve_onoff_t_open_red-hollow valve_onoff_t_close_green } ;# BIP1:V66.FB.
	catch { if { [vn 10391] } { shape_2_flash V66al   439 377 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV66al } }
	catch { shape_2 V66ha 463 387 [vn 10390] blank hand } ;#   hand/auto

	catch { shape_2 V67oc   291 332  [vn 10392] valve_onoff_r_close_green valve_onoff_r_open_red-hollow } ;# BIP1:V67.FB. backwards
	catch { if { [vn 10394] } { shape_2_flash V67al  302 334  1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV67al } }
	catch { shape_2 V67ha 321 332  [vn 10393] blank hand } ;#   hand/auto

	catch { shape_2 V65oc   366 300  [vn 10386] valve_onoff_r_open_red-hollow valve_onoff_r_close_green } ;# BIP1:V65.FB.
	catch { if { [vn 10388] } { shape_2_flash V65al   377 303 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV65al } }
	catch { shape_2 V65ha 396 300 [vn 10387] blank hand } ;#   hand/auto


	catch { shape_2 V68oc   102 263  [vn 10395] valve_onoff_l_open_red-hollow valve_onoff_l_close_green } ;# BIP1:V68.FB.
#	catch { if { [vn 10388] } { shape_2_flash V65al   108 266 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV68al } }

	catch { shape_2 V61oc   589 344  [vn 10380] valve_onoff_l_open_red-hollow valve_onoff_l_close_green } ;# BIP1:V61.FB.
	catch { if { [vn 10573] } { shape_2_flash V65al   591 346 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV61al } }

	catch { shape_2 V62oc   556 379  [vn 10381] valve_onoff_l_open_red-hollow valve_onoff_l_close_green } ;# BIP1:V62.FB.
#	catch { if { [vn 10388] } { shape_2_flash V65al   559 302 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV62al } }

	catch { shape_2 V63oc   508 371  [vn 10382] valve_onoff_l_open_red-hollow valve_onoff_l_close_green } ;# BIP1:V63.FB.
#	catch { if { [vn 10388] } { shape_2_flash V65al   366 300 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiV63al } }




### Pumps

	catch { shape_2 P31rs   518 234  [vn 0] pump_u_gray pump_u_red} ;# (BIP1:P31.FB.)
	catch { if { [vn 0] } { shape_2_flash P31al  518 234 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiP31al } }
	catch { shape_2 P31ha   518 234 [vn 0] blank hand } ;#   hand/auto

	catch { shape_2 P32rs  310 190 [vn 0] pump_u_gray pump_u_red} ;# (BIP1:P32.FB.)
	catch { if { [vn 0] } { shape_2_flash P32al  310 190 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiP32al } }
	catch { shape_2 P32ha  310 190  [vn 0] blank hand } ;#   hand/auto

	catch { shape_2 P30rs  289 381 [vn 0] pump_u_gray pump_u_red} ;# (BIP1:P30.FB.)
	catch { if { [vn 0] } { shape_2_flash P30al  289 381 1 alarm_blob alarm_blob_gray } else { destroy $w.p.tiP30al } }
	catch { shape_2 P30ha  289 381  [vn 0] blank hand } ;#   hand/auto

### Three way valves
	catch { shape_4 threewayV51  87 117 [vn 10352] [vn 10354] bip-three-way-top-1 bip-three-way-top-2 bip-three-way-top-3 alarm_blob }
	catch { shape_4 threewayV50  87 81 [vn 10351] [vn 10348] bip-three-way-bottom-1 bip-three-way-bottom-2 bip-three-way-bottom-3 alarm_blob }

	catch { shape_4 threewayV55  313 86  [vn 10360] [vn 10359] bip-three-way-top-1 bip-three-way-top-2 bip-three-way-top-3 alarm_blob }
	catch { shape_4 threewayV58  520 284 [vn 10368] [vn 10365] bip-three-way-bottom-1 bip-three-way-bottom-2 bip-three-way-bottom-3 alarm_blob }
	catch { shape_4 threewayV59  405 251 [vn 10372] [vn 10369] bip-three-way-bottom-1 bip-three-way-bottom-3 bip-three-way-bottom-2 alarm_blob }
	catch { shape_4 threewayV60  562 326 [vn 10377] [vn 10376] bip-three-way-bottom-1 bip-three-way-bottom-2 bip-three-way-bottom-3 alarm_blob }

		}]
	  }

################# Here we queue up this proc again ##########################

##
	show_time $time_taken
	catch { after cancel update0 }
	after $fulltime update0
	}


set bg	#D0D0D0
set bg	grey70
set fg  MidnightBlue
set fg	yellow
set fg	darkgreen
set fg	black
set fg	darkblue
 	
set lfont {courier 10 bold}

update0
update idletasks
#								blk_acb blk_sp blk_hl blk_ll blk_ar blk_st blk_ut
 catch { $w.p.tib6301    configure -command { entry_stuff_multi_ut  8994  0	 0	0      0     0     6301  } }
 catch { $w.p.tib6302    configure -command { entry_stuff_multi_ut  8995  0	 0	0      0     0     6302  } }
 catch { $w.p.tib5307    configure -command { entry_stuff_multi_ut  8992 39022 8992  8992  39022     0       0   } }
 catch { $w.p.tib5307a   configure -command { entry_stuff_multi_ut  8992 39022 8992  8992  39022     0       0   } }
# catch { $w.p.tib5312   configure -command { entry_stuff_multi_ut  8993  0      0      0      0     0       0   } }
 catch { $w.p.tib5304    configure -command { entry_stuff_multi_ut  8991 39021 8991  8991  39021     0       0   } }
 catch { $w.p.tib39021   configure -command { entry_stuff_multi_ut  8991 39021 8991  8991  39021     0       0   } }
 catch { $w.p.tib39021a  configure -command { entry_stuff_multi_ut  8991 39021 8991  8991  39021     0       0   } }
 catch { $w.p.tib6303    configure -command { entry_stuff_multi_ut  8996  0      0      0      0     0     6303  } }


 catch { $w.p.tiV52oc  configure -command { entry_valve_hand_auto_bip_3  10355 10645   0 "V52"  "VALVE: V52" } }
 
 catch { $w.p.tiV53oc  configure -command { entry_valve_hand_auto_bip_3  10356 10646   0 "V53"  "VALVE: V53" } }
 
 catch { $w.p.tiV54oc  configure -command { entry_valve_hand_auto_bip_3  10357 10647   0 "V54"  "VALVE: V54" } }
 
 catch { $w.p.tiV57oc  configure -command { entry_valve_hand_auto_bip_3  10364 10649   0 "V57"  "VALVE: V57" } }
 
 catch { $w.p.tiV56oc  configure -command { entry_valve_hand_auto_bip_3_i  10361 10648   10362 "V56"  "VALVE: V56" } }
 
 catch { $w.p.tiV64oc  configure -command { entry_valve_hand_auto_bip_3  10383 10654   10384 "V64"  "VALVE: V64" } }
 
 catch { $w.p.tiV66oc  configure -command { entry_valve_hand_auto_bip_3  10389 10656   10390 "V66"  "VALVE: V66" } }
 
 catch { $w.p.tiV67oc  configure -command { entry_valve_hand_auto_bip_3  10392 10657   10393 "V67"  "VALVE: V67" } }
 
 catch { $w.p.tiV65oc  configure -command { entry_valve_hand_auto_bip_3  10386 10655   10387 "V65"  "VALVE: V65" } }
 
 catch { $w.p.tithreewayV55 configure -command { entry_valve_hand_auto_bip_threeway 10360 00000 00000 "V55" "VALVE: V55" "V101" "V102" } }
 catch { $w.p.tithreewayV58 configure -command { entry_valve_hand_auto_bip_threeway 10368 10666 10366 "V58" "VALVE: V58" "DRUM" "V102" } }
 catch { $w.p.tithreewayV59 configure -command { entry_valve_hand_auto_bip_threeway 10372 10667 10370 "V59" "VALVE: V59" "DRUM" "T101" } }
 catch { $w.p.tithreewayV60 configure -command { entry_valve_hand_auto_bip_threeway 10377 10668 10378 "V60" "VALVE: V60" "DRUM2" "DRUM1" } }

